Get the Feedback by ID
http
GET /api/v1/feedbackBase URL: https://feedbacks-api.wildberries.ru · Module: communications · Section: Feedbacks · Specification doc ↗
The method allows you to get a feedback by its ID
Request limit per one seller account for all methods in the Feedbacks and Questions category:
| Type | Period | Limit | Interval | Burst |
|---|---|---|---|---|
| Personal | 1 s | 3 requests | 333 ms | 6 requests |
| Service | 1 s | 3 requests | 333 ms | 6 requests |
| Base with secret | 1 s | 3 requests | 333 ms | 6 requests |
| Base | 1 h | 5 requests | 12 min | 1 request |
Parameters
| Name | In | Type | Req. | Description |
|---|---|---|---|---|
id | query | string | yes | Feedback ID |
Responses
| Code | Description | Schema |
|---|---|---|
200 | Success | GetV1FeedbackResponse200 |
401 | Unauthorized | object |
402 | Payment required | object |
403 | Access denied | object |
422 | Error processing request parameters | responseFeedbackQuestionErr |
429 | Too many requests | object |
Structure 200:
dataobjectidstring— Feedback IDtextstring— Feedback textprosstring— Item prosconsstring— Item consmatchingSizestring— Compliance of the declared size with the real one. Possible values: -- for dimensionless items -ок- matches to the size -smaller- runs small -bigger- runs largeproductValuationinteger<int64>— Item ratecreatedDatestring— Date and time the feedback was createdanswerobject— Reply structuretextstring— Reply textstatestring— Status: -none— new -wbRu— displayed on the site -reviewRequired— response being reviewed -rejected— response rejectededitableboolean— Whether the answer can be edited: -false— no -true- yes
statestring— Feedback state: -none- not processed (new) -wbRu- processedproductDetailsobject— Item informationnmIdinteger<int64>— WB item numberimtIdinteger<int64>— Merged listing IDproductNamestring— Item namesupplierArticlestring— Seller item numbersupplierNamestring— Seller's namebrandNamestring— Brand namesizestring— Item size (`techSize' in the listing)
photoLinksobject[]— Array of structure of imagesfullSizestring— Link of full-size imagesminiSizestring— Link of small-size images
userNamestring— Name of the feedback authororderStatusstring— Order status. Possible values: -buyout— bought out -rejected— rejected -returned— returned -notSpecified— status not assignedvideoobject— Video structurepreviewImagestring— Video preview image linklinkstring— Link to the playlist video file (available through hls protocol)durationSecinteger<int64>— Video duration
wasViewedboolean— If the feedback was viewedisAbleSupplierFeedbackValuationboolean— Is the feedback rating available to the seller -true— yes -false— nosupplierFeedbackValuationinteger<int64>— Feedback rating left by the sellerisAbleSupplierProductValuationboolean— Is the item rating available to the seller (true- available,false- not available)supplierProductValuationinteger<int64>— Item rating left by the sellerisAbleReturnProductOrdersboolean— Item return option: -true— available -false— unavailablereturnProductOrdersDatestring— Date and time when a response with status code 200 was received for the return request.bablesstring[]— List of customer tagslastOrderShkIdinteger<int64>— SKU of the itemlastOrderCreatedAtstring— Date of purchasecolorstring— Item colorsubjectIdinteger<int64>— Subcategory IDsubjectNamestring— Subcategory nameparentFeedbackIdstring— ID of the original feedback (nullif this feedback is original)childFeedbackIdstring— ID of the updated feedback (nullif this feedback is updated)
errorboolean— Error presenceerrorTextstring— Error descriptionadditionalErrorsstring[]— Additional errors
Structure 401:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 402:
titlestring— Error titledetailstring— Error details. The error is only returned to services from the Solutions for business Catalog
Structure 403:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 422:
dataobjecterrorboolean— Error flagerrorTextstring— Error descriptionadditionalErrorsstring[]— Additional errorsrequestIdstring
Structure 429:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Call examples
Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.
python
from wb_api_client.communications import Configuration, ApiClient
from wb_api_client.communications.api import CommunicationsApi
cfg = Configuration(access_token="<your WB JWT>")
api = CommunicationsApi(ApiClient(cfg))
result = api.get_v1_feedback(id=...)
print(result)ts
import {
Configuration,
CommunicationsApi,
} from "@valeryverkhoturov/wb-api-client/communications";
const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new CommunicationsApi(cfg);
const { data } = await api.getV1Feedback(id);
console.log(data);go
import (
"context"
"fmt"
wbcommunications "github.com/ValeryVerkhoturov/wb-api-client-go/communications"
)
cfg := wbcommunications.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbcommunications.NewAPIClient(cfg)
result, _, err := client.CommunicationsAPI.GetV1Feedback(context.Background()).Id(id).Execute()
if err != nil {
panic(err)
}
fmt.Printf("%+v\n", result)java
import io.github.valeryverkhoturov.wbapi.communications.ApiClient;
import io.github.valeryverkhoturov.wbapi.communications.SecretString;
import io.github.valeryverkhoturov.wbapi.communications.api.CommunicationsApi;
ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
CommunicationsApi api = new CommunicationsApi(client);
System.out.println(api.getV1Feedback(id));php
use ValeryVerkhoturov\WbApiClient\Communications\Configuration;
use ValeryVerkhoturov\WbApiClient\Communications\SecretString;
use ValeryVerkhoturov\WbApiClient\Communications\Api\CommunicationsApi;
use GuzzleHttp\Client;
$config = (new Configuration())
->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new CommunicationsApi(new Client(), $config);
print_r($api->getV1Feedback($id));bsl
#Использовать "wb-api-client"
Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый CommunicationsApi(Настройки);
Сообщить(Клиент.GetV1Feedback(id).Тело);csharp
using ValeryVerkhoturov.WbApiClient.Communications.Api;
using ValeryVerkhoturov.WbApiClient.Communications.Client;
var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new CommunicationsApi(config);
Console.WriteLine(api.GetV1Feedback(id));rust
use wb_api_client::communications::apis::{configuration::Configuration, communications_api};
#[tokio::main]
async fn main() {
let mut cfg = Configuration::new();
cfg.set_access_token("<your WB JWT>");
let result = communications_api::get_v1_feedback(&cfg, id).await;
println!("{:#?}", result);
}